Subject: Re: [RFC PATCH net-next 0/5] Ease netns management for userland

From: Nicolas Dichtel <[email-masked]>
Date: Thu, 13 Dec 2012 18:41:46 +0100

Le 12/12/2012 22:48, Eric W. Biederman a écrit :
> [email-masked] (Eric W. Biederman) writes:
>
>> It is very wrong to presume that without context you know the reason for
>> the exsitence of any network namespace and that you should or even that
>> you can manage it.  Think of running your multi-network namespace
>> managing application in a container.
>
> A good example of a network namespace you don't want to mess with are
> the network namespaces created by vsftp and chrome for security purposes
> to remove any possibility of creating new connections to the network.
>
Ok, I get the point.

A last question: from an administration point of view, is it intended to
not be able to monitor which netns are currently used? Like it can be done
for sockets, files, ...